# KOreader Sync Server
This is a KOreader sync server, implemented in Rust. It uses the crates *axum*, *redis*, *serde* and *serde_json*.

## Requirements
- Rust toolchain (≥ 1.63) for compilation
- A running Redis server
- Nginx (or Apache) webserver as a reverse proxy, since kosyncrs only listens locally and uses HTTP.

## Installation
Just compile it with `cargo build --release`. You can then copy the executable for example to `/usr/local/bin/`. If you want to start the service automatically, you can adapt the example systemd file for your needs. You can also use nginx as a reverse proxy, so that the sync server listens on port 443.

## Todo
- Test, if it really works, and if it works reliably. Feedback is very welcome!
- Make it more configurable